<div class="btn-book-wrapper">
  <button mat-raised-button class="btn-book" (click)="addReservation()">Résérver un billet</button>
</div>

<div class="no-reservation" *ngIf="noResult">
  <h1>Aucune résevation trouvé</h1>
  <img src="assets/images/sel-no-results.png" alt="">
</div>

<div class="table-wrapper" *ngIf="noReservation">
  <h1>Vos réservations</h1>
  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>

      <!-- LeavingFrom Column -->
      <ng-container matColumnDef="leavingFrom">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Partir de </th>
        <td mat-cell *matCellDef="let row"> {{row.leavingFrom}} </td>
      </ng-container>

      <!-- GoingTo Column -->
      <ng-container matColumnDef="goingTo">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Aller à </th>
        <td mat-cell *matCellDef="let row"> {{row.goingTo}} </td>
      </ng-container>

      <!-- Date Column -->
      <ng-container matColumnDef="date">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Date </th>
        <td mat-cell *matCellDef="let row"> {{row.date | date: 'dd/MM/yyyy'}} </td>
      </ng-container>

      <!-- Time Column -->
      <ng-container matColumnDef="time">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Heure de départ </th>
        <td mat-cell *matCellDef="let row"> {{row.date | date: 'HH:mm'}} </td>
      </ng-container>

      <!-- Price Column -->
      <ng-container matColumnDef="price">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Prix </th>
        <td mat-cell *matCellDef="let row"> {{row.price | currency:'EUR'}} </td>
      </ng-container>

      <!-- Action Column -->
      <ng-container matColumnDef="action">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Action </th>
        <td mat-cell *matCellDef="let row">
          <button mat-icon-button color="primary" (click)="editReservation(row)">
            <mat-icon>edit</mat-icon>
          </button>
          <button mat-icon-button color="warn" (click)="deleteReservation(row.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>


      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">Aucune donnée correspondant à votre recherche </td>
      </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
  </div>
</div>

<div class="wrapper-btn-pay" *ngIf="noReservation">
  <a mat-raised-button routerLink="pay">Passer au payement <mat-icon>payment</mat-icon></a>
</div>
